NetworkLocatorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class NetworkLocatorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.LocatorImpl
    - - tv.amwa.maj.model.impl.NetworkLocatorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QLocator, MediaEntity, MetadataObject, XMLSerializable, InterchangeObject, Locator, NetworkLocator

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=12800,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="NetworkLocator",
                  description="The NetworkLocator class provides information to help find a file containing essence.",
                  symbol="NetworkLocator")
      public class NetworkLocatorImpl
      extends LocatorImpl
      implements NetworkLocator, Serializable, Cloneable

  Implements a representation of information to help find a file containing essence, using a uniform resource identifier (URI). The current URI specification is RFC 3986.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkLocatorImpl()`
    `NetworkLocatorImpl(String urlString)` Creates and initializes a new network locator, which provides information to help find a file containing essence.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkLocator` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getURL()` Returns an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence.
    `String` | `getURLPersist()`
    `static String` | `initializeURL()`
    `void` | `setURL(String urlString)` Sets an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence.
    `void` | `setURLPersist(String urlString)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.LocatorImpl

      `appendXMLChildren, getComment, getNumberOfFiles, getPath, getTapeOffset, setNumberOfFiles, setPath, setTapeOffset`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Locator

      `getPath, setPath`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### NetworkLocatorImpl

          public NetworkLocatorImpl()

    - #### NetworkLocatorImpl

          public NetworkLocatorImpl(@AAFString
                                    String urlString)
                             throws NullPointerException,
                                    IllegalArgumentException

      Creates and initializes a new network locator, which provides information to help find a file containing essence.

      Parameters:
        `urlString` - Absolute Uniform Resource Locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for file containing the essence. If it is a relative URI, the base URI is determined from the URI of the AAF persistent unit itself.
      Throws:
        `NullPointerException` - Location URL is `null`.
        `IllegalArgumentException` - The given URI is not syntactically valid.

  - ### Method Detail

    - #### getURL

          @MediaProperty(uuid1=16908545,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="URL",
                         aliases="URLString",
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=16385,
                         symbol="URL")
          public String getURL()

      Description copied from interface: `NetworkLocator`

      Returns an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence. If it is a relative URI, the base URI is determined from the URI of the AAF file itself.

      Note that a valid URL or URI uses a constrained character set and uses the '`/`' character as the path separator.

      Specified by:
        `getURL` in interface `NetworkLocator`
      Returns:
        URL property of this locator.
      See Also:
        `Locator.getPath()`

    - #### setURL

          @MediaPropertySetter(value="URL")
          public void setURL(String urlString)
                                                        throws NullPointerException,
                                                               IllegalArgumentException

      Description copied from interface: `NetworkLocator`

      Sets an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence. If it is a relative URI, the base URI is determined from the URI of the AAF file itself.

      Note that a valid URL or URI uses a constrained character set and uses the '`/`' character as the path separator.

      Specified by:
        `setURL` in interface `NetworkLocator`
      Parameters:
        `urlString` - URL property of this locator.
      Throws:
        `NullPointerException` - The given locator is `null` and the property is required.
        `IllegalArgumentException` - The given locator did not parse as a valid URL.

    - #### initializeURL

          public static final String initializeURL()

    - #### clone

          public NetworkLocator clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Locator`
      Specified by:
        `clone` in interface `NetworkLocator`
      Overrides:
        `clone` in class `LocatorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getURLPersist

          public String getURLPersist()

    - #### setURLPersist

          public void setURLPersist(String urlString)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.